package DevLog;

import java.awt.Container;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;

public class SwingDemoEvent4 extends JFrame implements ActionListener {

	public void actionPerformed(ActionEvent event) {
		JButton b = (JButton) (event.getSource());
		System.out.println(b.getText());
	}

	public void init() {
		Container cp = getContentPane();
		this.setTitle("example 5");
		this.setDefaultCloseOperation(EXIT_ON_CLOSE);

		cp.setLayout(new GridLayout(5, 3));
		for (int i = 0; i < 15; i++) {
			JButton b = new JButton("Button " + i);
			b.addActionListener(this);
			cp.add(b);
		}
	}

	public static void main(String[] args) {
		SwingDemoEvent4 frame = new SwingDemoEvent4();
		frame.init();
		frame.setSize(150, 250);
		frame.setVisible(true);
	}
}
