package DevLog;

import java.awt.Container;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JTextField;

public class SwingDemo3 extends JFrame {

	JButton b1 = new JButton("Clique ici");
	JButton b2 = new JButton("Clique la");
	JTextField txt = new JTextField(10);

	class ButtonListener implements ActionListener // INNER CLASS DEF.
	{
		public void actionPerformed(ActionEvent e) {
			String name = ((JButton) e.getSource()).getText();
			txt.setText(name);
		}
	} // END OF INNER CLASS DEFINITION

	ButtonListener bl = new ButtonListener();

	public void init() {

		b1.addActionListener(bl);
		b2.addActionListener(bl);

		Container cp = this.getContentPane();
		this.setTitle("example 3");

		cp.add(new JLabel("Swing Demo 3"));
		cp.setLayout(new FlowLayout());

		cp.add(b1);
		cp.add(b2);
		cp.add(txt);
	}

	public static void main(String[] args) {
		SwingDemo3 frame = new SwingDemo3();
		frame.init();
		frame.setSize(200, 200);
		frame.setVisible(true);
	}

} // end of SwingDemo3 class definition