// source: http://www.java-forums.org/awt-swing/6763-how-display-image.html
package DevLog;

import java.awt.Graphics;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JScrollPane;

public class SwingDemo9 extends JPanel {

	BufferedImage image;

	public SwingDemo9(BufferedImage image) {
		this.image = image;
	}

	protected void paintComponent(Graphics g) {
		g.drawImage(image, 0, 0, getWidth(), getHeight(), 0, 0,
				image.getWidth(), image.getHeight(), this);
		// drawImage (I, dst, src, null or this) :
		// dst how many pixels we'll draw,
		// src part of the image to draw
	}

	public static void main(String[] args) throws IOException {

		BufferedImage image = ImageIO.read(new File("pc.png"));

		SwingDemo9 myDemo = new SwingDemo9(image);

		JFrame f = new JFrame();
		f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

		f.add(new JScrollPane(myDemo));

		f.setSize(400, 400);
		f.setLocation(200, 200);
		f.setVisible(true);
	}

}