package DevLog;

import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JTextField;

public class SwingDemoEvent3 extends JFrame {
	JTextField a, b;
	JButton btn;

	public SwingDemoEvent3() {
		super("CursorFrame");
		setSize(400, 200);
		setLayout(new FlowLayout());
		add(new JLabel("Click the mouse..."));
		a = new JTextField("0", 4);
		b = new JTextField("0", 4);
		btn = new JButton("RESET");
		add(a);
		add(b);
		add(btn);

		addMouseListener(new MouseAdapter() {
			public void mousePressed(MouseEvent e) {
				a.setText(String.valueOf(e.getX()));
				b.setText(String.valueOf(e.getY()));
			}
		});
		addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				setVisible(false);
				dispose();
				System.exit(0);
			}
		});
		btn.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				a.setText("0");
				b.setText("0");
			}
		});
	}

	public static void main(String[] args) {
		SwingDemoEvent3 app = new SwingDemoEvent3();
		app.setVisible(true);
	}

}
